javax.xml.ws

## Interface Response<T>

- All Superinterfaces:
    Future<T>

      public interface Response<T>
      extends Future<T>

  The `Response` interface provides methods used to obtain the payload and context of a message sent in response to an operation invocation.

  For asynchronous operation invocations it provides additional methods to check the status of the request. The `get(...)` methods may throw the standard set of exceptions and their cause may be a `RemoteException` or a `WebServiceException` that represents the error that occured during the asynchronous method invocation.

  Since:
    JAX-WS 2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getContext()` Gets the contained response context.

    - ### Methods inherited from interface java.util.concurrent.Future

      `cancel, get, get, isCancelled, isDone`

- - ### Method Detail

    - #### getContext

          Map<String,Object> getContext()

      Gets the contained response context.
      Returns:
        The contained response context. May be `null` if a response is not yet available.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.